> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.partnerpage.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.partnerpage.io/_mcp/server.

# Create a certification

POST https://v1.api.partnerpage.io/api/directory/private/v1alpha/entries/partners/{entryId}/certifications/
Content-Type: application/json

Create a new partner entry certification

Reference: https://docs.partnerpage.io/api-reference/entry/partner-entry/certifications-general/create-a-certification

## Authentication

- `Authorization` header (required) (prefixed with ` Token   `) — Your API key, sent as `Authorization: Token <your API key>`

## Request

### Path parameters

- `entryId` (string, required)

### Body (application/json)

This endpoint expects an AssignedCertificationSerializerWriterRequest.

- `id` (string, required)
- `order` (integer, optional)
- `quantity` (integer, optional)

## Response

### 201

Successful operation

- `href` (string, required)
- `id` (string, required)
- `title` (string, required)
- `order` (integer, required)
- `quantity` (integer, required)
- `certification` (any, required)

## Errors

### 400 Bad Request Error

Bad Request - Validation Error

- `any`

### 404 Not Found Error

Partner Entry not found

- `any`

## Examples

**Request**

```json
{
  "id": "string"
}
```

**Response**

```json
{
  "href": "string",
  "id": "string",
  "title": "string",
  "order": 1,
  "quantity": 1
}
```

**SDK Code**

```python
import requests

url = "https://v1.api.partnerpage.io/api/directory/private/v1alpha/entries/partners/entryId/certifications/"

payload = { "id": "string" }
headers = {
    "Authorization": "Token  <apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/entries/partners/entryId/certifications/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Token  <apiKey>', 'Content-Type': 'application/json'},
  body: '{"id":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```